<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:orientation="vertical" >
    <TableLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical" >
        <TableRow
            android:layout_width="fill_parent"
            android:layout_height="wrap_content" >
            <TextView
                android:id="@+id/tx_1"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_2"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_3"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_4"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_5"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_6"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_7"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_8"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_9"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_10"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_11"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
        </TableRow>
        <TableRow
            android:layout_width="fill_parent"
            android:layout_height="wrap_content" >
            <TextView
                android:id="@+id/data_tx_1"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_2"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_3"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_4"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_5"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_6"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_7"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_8"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_9"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_10"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_11"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
        </TableRow>
       <TableRow
            android:layout_width="fill_parent"
            android:layout_height="wrap_content" >
            <TextView
                android:id="@+id/tx_12"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_13"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_14"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_15"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_16"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_17"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_18"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_19"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_20"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_21"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/tx_22"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
        </TableRow>
        <TableRow
            android:layout_width="fill_parent"
            android:layout_height="wrap_content" >
            <TextView
                android:id="@+id/data_tx_12"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_13"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_14"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_15"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_16"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_17"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_18"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_19"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_20"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_21"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
            <TextView
                android:id="@+id/data_tx_22"
                android:layout_width="match_parent"
                android:layout_height="fill_parent">
            </TextView>
        </TableRow>
    </TableLayout>
    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="5dp"
            android:layout_marginTop="10dp"
            android:orientation="horizontal" >
            <Button
                android:id="@+id/btn_clear"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/psensor_clear_data"/>
            <Button
                android:id="@+id/btn_get"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/psensor_get_data" />
    </LinearLayout>
    <com.mediatek.sensorhub.sensor.CollectionCurveView
        android:id="@+id/curve_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" />
</LinearLayout>